/*
 * led_receptor.h
 *
 * Created: 03/12/2021 14:29:30
 *  Author: 40008304
 */ 


#ifndef LED_RECEPTOR_H_
#define LED_RECEPTOR_H_

#include "led_gen.h"
#define F_CPU 1000000
#include <util/delay.h>

#define FRONT	0x51
#define RIGHT	0x52
#define LEFT	0x53
#define NOTHING	0x54
#define ERROR	0xF0
#define VOLTMIN	1
#define TIMING 250

void ADC_init(void);
char ADC_read_value(void);
float ADC_averaging(void);
float measureLed1(void);
float measureLed2(void);
char compareLed(void);

#endif /* LED_RECEPTOR_H_ */